1. Are you ready for the Galaxy S20? Here is everything we know so far!

App "incompatability"

Discussion in 'Android Devices' started by 4valanche, Jul 3, 2013.

  1. 4valanche

    4valanche Lurker
    Thread Starter

    I purchased Need for Speed Most Wanted from the play store and it used to run on my HTC V 4G, heck, it even worked on my old triumph.
    Using Angry Bean right now and it is showing up as "incompatible" in the store.
    Tried changing my build.prop to a Nexus S, got it showing up correctly under 'my devices' in the store too, still no luck.
    Has anyone got this game to work?
    I think it's a problem by the publisher only whitelisting certain phones, but if my triumph was good enough and i even played it on the 3vo before why isn't it working now.
    It may be that it does not like JellyBean, would changing the version in build.prop mess anything up or can I go ahead and try that?

    TL;DR: changed ro.product.manufacturer & ro.product.model, cleared play store cache, rebooted, opened play store, still incompatible :mad:

    EDIT: Link to the game on the play store:
    https://play.google.com/store/apps/...1bGwsMSwyLDEsImNvbS5lYS5nYW1lcy5uZnMxM19uYSJd
    If it's compatible with your device I'd apreciate a copy of your build.prop.
     



    1. Download the Forums for Android™ app!


      Download

       
  2. ENVi3

    ENVi3 Android Enthusiast

    I'm not sure how to help you, but I can confirm that this game does work on this phone, or at least used to. The play store is saying it's incompatible now for me too, which is weird because it didn't used to say that.
    You can probably find and download the .apk and data online, though...
     
  3. 4valanche

    4valanche Lurker
    Thread Starter

  4. coolblood2

    coolblood2 Newbie

    Well I would almost bet that it was recently updated and the developers changed something in the game that in turn makes it incompatible with our phone. If you think it is this ROM then y not try another ROM to double check.
     
  5. mysticalnyte

    mysticalnyte Well-Known Member

    I may not be of much help but there's a thread buried here somewhere that allows you to edit your build.prop into tricking the Playstore into thinking it's actually a GNEX.
     
  6. 4valanche

    4valanche Lurker
    Thread Starter

    Weird thing is it is still compatible with my triumph, I just checked
    [​IMG]

    I guess i'll have to resort to trying it out with harmonia and making a Titanium backup of it or something. Was hoping to find a cleaner solution that would actually let me pull updates while on AngryBean.
     
  7. HaTrEd360

    HaTrEd360 Android Expert

    I'm pretty sure it's your android version. Go back to ICS and make a Titanium Backup of the apk and make sure you have the data downloaded onto your sdcard. Nandroid back to 4.2 or whatever. Restore the apk but never the data. Then run the app. Should work. I have a Kyocera Even now and this phone SUCKS. 54$ phone and it let's me download that game fine. Because I'm on 4.0.4
     
    4valanche likes this.
  8. HaTrEd360

    HaTrEd360 Android Expert

    Nice Ubuntu set up by the way!
     
    4valanche likes this.
Loading...
Similar Threads - App incompatability
  1. chriswo228
    Replies:
    0
    Views:
    0
  2. Laura19752001
    Replies:
    2
    Views:
    85
  3. App Update
    Replies:
    2
    Views:
    95
  4. App Update
    Replies:
    0
    Views:
    134
  5. App Update
    Replies:
    2
    Views:
    128
  6. Frank H
    Replies:
    14
    Views:
    439
  7. dorlow
    Replies:
    3
    Views:
    297
  8. App Update
    Replies:
    0
    Views:
    159
  9. TechExec001
    Replies:
    2
    Views:
    393
  10. 1987jjc
    Replies:
    1
    Views:
    265

Share This Page

Loading...